package com.huiju.estateagents.property.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 设备配置表
 * </p>
 *
 * @author jobob
 * @since 2019-04-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tp_configuration")
public class TpConfiguration implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 配置key
     */
    @TableField(value = "`key`")
    private String key;

    /**
     * 配置项名称
     */
    private String configurationName;

    /**
     * 配置类型: 1字符串  2多列值
     */
    private Integer configurationType;

    /**
     * 配置值
     */
    private String configurationValue;

    /**
     * 创建时间
     */
    private LocalDateTime createTiem;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 修改人
     */
    private Integer updateUser;

    /**
     * 小区id
     */
    private Integer orgId;

    /**
     * 设备id
     */
    @TableField(value = "deviceUuid")
    private String deviceUuid;
    @TableField(value = "doorUuid")
    private String doorUuid;
    private Integer deviceType;

}
